distutils.errors.DistutilsFileError: could not create './config.yml': Permission denied

I follow Rasa getting-started and Rasa turorial to get started on RASA.

But when I wrote:

rasa init --no-promp

Here comes the error:

> (py36) āžœ  rasa rasa init --no-prompt
> Welcome to Rasa! šŸ¤–
> 
> To get started quickly, an initial project will be created.
> If you need some help, check out the documentation at https://rasa.com/docs/rasa.
> 
> Traceback (most recent call last):
>   File "/data/anaconda/envs/py36/lib/python3.6/distutils/file_util.py", line 41, in _copy_file_contents
>     fdst = open(dst, 'wb')
> PermissionError: [Errno 13] Permission denied: './config.yml'
> 
> During handling of the above exception, another exception occurred:
> 
> Traceback (most recent call last):
>   File "/home/t-comin/.local/bin/rasa", line 10, in <module>
>     sys.exit(main())
>   File "/home/t-comin/.local/lib/python3.6/site-packages/rasa/__main__.py", line 70, in main
>     cmdline_arguments.func(cmdline_arguments)
>   File "/home/t-comin/.local/lib/python3.6/site-packages/rasa/cli/scaffold.py", line 194, in run
>     init_project(args, path)
>   File "/home/t-comin/.local/lib/python3.6/site-packages/rasa/cli/scaffold.py", line 110, in init_project
>     create_initial_project(path)
>   File "/home/t-comin/.local/lib/python3.6/site-packages/rasa/cli/scaffold.py", line 118, in create_initial_project
>     copy_tree(scaffold_path(), path)
>   File "/data/anaconda/envs/py36/lib/python3.6/distutils/dir_util.py", line 163, in copy_tree
>     dry_run=dry_run)
>   File "/data/anaconda/envs/py36/lib/python3.6/distutils/file_util.py", line 151, in copy_file
>     _copy_file_contents(src, dst)
>   File "/data/anaconda/envs/py36/lib/python3.6/distutils/file_util.py", line 44, in _copy_file_contents
>     "could not create '%s': %s" % (dst, e.strerror))
> distutils.errors.DistutilsFileError: could not create './config.yml': Permission denied

My server is Ubuntu 16.04.

Can anyone help me with that? Thanks.

Iā€™m confused by your included code, are you running rasa rasa init or rasa init?

Having the same issue:

My docker-compose.yml is as follows:

version: '3.3'
networks:
  web:
    external: true
services:
    rasa:
      container_name: rasa-ai
      image: rasa/rasa:latest-full
      ports:
        - 5005:5005
      volumes:
        - ./rasa:/app
        - ./rasa/models:/app/models
      command:
        - run